backend/urls.py
from django.urls import path
from backend import views

app_name = 'backend'

urlpatterns = [
    path('accounts/signup/', views.signup, name='signup'),
    path('accounts/signup/check/', views.signup_check, name='signup_check'),
    path('accounts/login/', views.login, name='login'),
    path('accounts/login/identify/', views.identify, name='identify'),
    path('accounts/logout/', views.logout, name='logout'),
    path('accounts/verify/', views.verify, name='verify'),
    path('accounts/verify/resend', views.verify_resend, name='verify_resend'),
    path('accounts/recovery/', views.recovery, name='recovery'),
    path('accounts/edit/', views.edit, name='edit'),

    path('interactions/follow/<int:pk>/', views.follow, name='follow'),
    path('interactions/unfollow/<int:pk>/', views.unfollow, name='unfollow'),

    path('interactions/up-vote/<int:pk>/', views.up_vote, name='up_vote'),
    path('interactions/down-vote/<int:pk>/', views.down_vote, name='down_vote'),

    path('thread/<slug>/', views.thread, name='thread'),
    path('thread/<int:pk>/edit/', views.thread_edit, name='thread_edit'),
    path('thread/<int:pk>/delete/', views.thread_delete, name='thread_delete'),
    path('thread/<int:pk>/reply/', views.thread_reply, name='thread_reply'),

    path('report/', views.report, name='report'),
    path('report/<int:pk>/edit', views.report_edit, name='report_edit'),

    path('observation/<int:pk>/reply', views.observation_reply, name='observation_reply'),
    path('observation/names/', views.observation_names, name='observation_names'),

    path('maps/', views.maps, name='maps'),
    path('search/', views.search, name='search'),
    path('language/<code>/', views.language, name='language'),

    path('mail-test/', views.mail_test, name='mail-test'),
]

config/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
from django.views.static import serve

urlpatterns = [
    path('', include('frontend.urls')),
    path('api/', include('backend.urls')),
    path('admin/', admin.site.urls),
    path('_nested_admin/', include('nested_admin.urls')),
]

handler404 = 'frontend.views.handler404'
handler500 = 'frontend.views.handler500'

if not settings.DEBUG:
    # static use white noise
    urlpatterns += path('media/<path:path>/', serve, {'document_root': settings.MEDIA_ROOT}),
else:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

frontend/urls.py
from django.urls import path
from django.views import defaults
from frontend import views

app_name = 'frontend'

urlpatterns = [
    path('', views.home, name='home'),
    path('about/', views.about, name='about'),
    path('team/', views.team, name='team'),
    path('guidelines/', views.guidelines, name='guidelines'),
    path('elasmoid/', views.elasmoid, name='elasmoid'),
    path('iecsn/', views.iecsn, name='iecsn'),
    path('maps/', views.maps, name='maps'),
    path('articles/', views.articles, name='articles'),
    path('articles/<int:pk>/', views.article, name='article'),
    path('report/', views.report, name='report'),
    path('report/tna/', views.report_tna, name='report_tna'),
    path('search/', views.search, name='search'),
    path('s/<slug>/', views.static, name='static'),

    path('signup/', views.signup, name='signup'),
    path('login/', views.login, name='login'),
    path('login/identify/', views.identify, name='identify'),
    path('recovery/', views.recovery, name='recovery'),
    path('verify/', views.verify, name='verify'),

    path('contributor/observations/', views.contributor_observations, name='contributor_observations'),
    path('contributor/observation/<int:pk>/', views.contributor_observation, name='contributor_observation'),
    path('contributor/leaderboard/', views.contributor_leaderboard, name='contributor_leaderboard'),
    path('contributor/profile/', views.contributor_profile, name='contributor_profile'),
    path('contributor/profile/edit/', views.contributor_profile_edit, name='contributor_profile_edit'),
    path('contributor/profile/<username>/', views.contributor_profile_user, name='contributor_profile_user'),

    path('forum/topics/', views.forum_topics, name='forum_topics'),
    path('forum/thread/<int:pk>/', views.forum_thread, name='forum_thread'),
    path('forum/thread/<int:pk>/edit/', views.forum_thread_edit, name='forum_thread_edit'),
    path('forum/threads/<slug>/', views.forum_threads, name='forum_threads'),
    path('forum/threads/<slug>/create', views.forum_thread_create, name='forum_thread_create'),

    path('form/report', views.form_report, name='form_report'),
    path('form/report/<int:pk>/edit', views.form_report_edit, name='form_report_edit'),
]

backend/models.py
from django.db import models
from django.contrib.auth.models import AbstractUser
from django.utils.html import mark_safe
from ckeditor.fields import RichTextField

class User(AbstractUser):
    LANGUAGES = [
        ('en', 'English'),
        ('id', 'Bahasa Indonesia'),
    ]

    phone = models.CharField(max_length=20, blank=True, null=True)
    job = models.CharField(max_length=255, blank=True, null=True)
    birthday = models.DateField(blank=True, null=True)
    joined_at = models.DateField(auto_now_add=True, blank=True, null=True)
    language = models.CharField(choices=LANGUAGES, default='en', max_length=100)
    token = models.CharField(max_length=255, blank=True, null=True)
    is_verified = models.BooleanField(default=False)
    description = models.TextField(blank=True, null=True)
    image = models.ImageField(upload_to='profiles/', blank=True, null=True)

    def __str__(self):
        return self.full_name()

    def full_name(self):
        return f'{self.first_name} {self.last_name}'


class UserConnection(models.Model):
    follower = models.ForeignKey(User, on_delete=models.CASCADE, related_name='follower')
    following = models.ForeignKey(User, on_delete=models.CASCADE, related_name='following')
    followed_at = models.DateTimeField(auto_now_add=True, blank=True, null=True)


class Observation(models.Model):
    CATEGORIES = (
        ('shark', 'Shark'),
        ('ray', 'Ray & Skates'),
        ('chimaera', 'Chimaera'),
    )

    TYPES = (
        ('sighting', 'Sighting'),
        ('landing', 'Landing'),
    )

    STATUS = (
        ('PENDING', 'PENDING'),
        ('REJECTED', 'REJECTED'),
        ('VERIFIED', 'VERIFIED'),
    )

    SEX = (
        ('male', 'Male'),
        ('female', 'Female'),
        ('unidentified', 'Unidentified'),
    )

    REJECT_REASON = (
        ('SU', 'Species unidentified'),
        ('DD', 'Double data'),
        ('OOD', 'Out of date'),
    )

    created_at = models.DateTimeField(auto_now_add=True)
    modified_at = models.DateTimeField(auto_now=True)
    datetime = models.DateTimeField(blank=True, null=True)
    category = models.CharField(choices=CATEGORIES, max_length=255, default='shark', blank=True, null=True)
    type = models.CharField(choices=TYPES, max_length=255, default='sighting', blank=True, null=True)
    location = models.CharField(max_length=255, blank=True, null=True)
    province = models.CharField(max_length=255, blank=True, null=True)
    latitude = models.DecimalField(max_digits=30, decimal_places=22, blank=True, null=True)
    longitude = models.DecimalField(max_digits=30, decimal_places=22, blank=True, null=True)
    altitude = models.DecimalField(max_digits=30, decimal_places=22, blank=True, null=True)
    accuracy = models.DecimalField(max_digits=30, decimal_places=22, blank=True, null=True)
    depth = models.DecimalField(max_digits=30, decimal_places=22, blank=True, null=True)
    common_name = models.CharField(max_length=255, blank=True, null=True)
    scientific_name = models.CharField(max_length=255, blank=True, null=True)
    capture_method = models.CharField(max_length=255, blank=True, null=True)
    weight = models.DecimalField(max_digits=30, decimal_places=22, blank=True, null=True)
    length = models.DecimalField(max_digits=30, decimal_places=22, blank=True, null=True)
    sex = models.CharField(choices=SEX, max_length=255, blank=True, null=True)
    habitat = models.CharField(max_length=255, blank=True, null=True)
    description = models.TextField(blank=True, null=True)
    action = models.TextField(blank=True, null=True)
    activity = models.TextField(blank=True, null=True)
    reporter = models.ForeignKey(User, default=1, on_delete=models.CASCADE)
    status = models.CharField(choices=STATUS, max_length=255, default='PENDING')
    rejected_reason = models.CharField(choices=REJECT_REASON, max_length=255, default=None, blank=True, null=True)
    submitter = models.CharField(max_length=255, blank=True, null=True)
    image_url = models.CharField(max_length=255, blank=True, null=True)


class ObservationName(models.Model):
    common_name = models.CharField(max_length=255, blank=True, null=True)
    scientific_name = models.CharField(max_length=255, blank=True, null=True)

    def __str__(self):
        return f'{self.common_name} ({self.scientific_name})'


class ObservationReply(models.Model):
    observation = models.ForeignKey(Observation, on_delete=models.CASCADE)
    created_at = models.DateTimeField(auto_now_add=True)
    modified_at = models.DateTimeField(auto_now=True)
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    content = models.TextField(blank=True, null=True)
    is_verified = models.BooleanField(default=False)


class ObservationImage(models.Model):
    observation = models.ForeignKey(Observation, on_delete=models.CASCADE)
    image = models.ImageField(upload_to='observations/%Y/%m/%d/')
    thumbnail = models.TextField(blank=True, null=True)

    def __str__(self):
        return f'{self.observation}'


class Topic(models.Model):
    slug = models.SlugField(max_length=255, unique=True)
    title = models.CharField(max_length=255)
    description = models.TextField(blank=True, null=True)
    image = models.ImageField(upload_to='forum/categories/', blank=True, null=True)

    def __str__(self):
        return self.title


class Thread(models.Model):
    topic = models.ForeignKey(Topic, on_delete=models.CASCADE)
    created_at = models.DateTimeField(auto_now_add=True)
    modified_at = models.DateTimeField(auto_now=True)
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    title = models.CharField(max_length=255, blank=True, null=True)
    content = models.TextField(blank=True, null=True)
    is_verified = models.BooleanField(default=False)

    def __str__(self):
        return self.title


class ThreadVote(models.Model):
    thread = models.ForeignKey(Thread, on_delete=models.CASCADE)
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    vote = models.BooleanField(null=True)


class ThreadReply(models.Model):
    thread = models.ForeignKey(Thread, on_delete=models.CASCADE)
    created_at = models.DateTimeField(auto_now_add=True)
    modified_at = models.DateTimeField(auto_now=True)
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    content = models.TextField(blank=True, null=True)

    def __str__(self):
        return self.user.username

    class Meta:
        verbose_name_plural = 'Thread Replies'


class Article(models.Model):
    en_title = models.CharField(max_length=255, blank=True, null=True)
    id_title = models.CharField(max_length=255, blank=True, null=True)
    author = models.CharField(max_length=255, blank=True, null=True)
    image = models.ImageField(upload_to='articles/', blank=True, null=True)
    created_at = models.DateTimeField(auto_now_add=True)
    en_content = RichTextField(blank=True, null=True)
    id_content = RichTextField(blank=True, null=True)

    def get_title(self):
        return self.id_title if self.id_title else self.en_title

    def __str__(self):
        return f'{self.get_title()} - ({self.author})'

class ArticleTag(models.Model):
    article = models.ForeignKey(Article, on_delete=models.CASCADE)
    en_tag = models.CharField(max_length=100, blank=True, null=True)
    id_tag = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return f'Tag {self.pk}'

class Page(models.Model):
    slug = models.SlugField()
    visibility = models.BooleanField(default=False)

    def __str__(self):
        return self.slug

class Navigation(models.Model):
    en_name = models.CharField(max_length=100, blank=True, null=True)
    id_name = models.CharField(max_length=100, blank=True, null=True)
    order = models.PositiveSmallIntegerField(blank=True, null=True)
    url = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return self.en_name

class SubNavigation(models.Model):
    navigation = models.ForeignKey(Navigation, on_delete=models.CASCADE)
    en_name = models.CharField(max_length=100, blank=True, null=True)
    id_name = models.CharField(max_length=100, blank=True, null=True)
    order = models.PositiveSmallIntegerField(blank=True, null=True)
    url = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return self.en_name

class Section(models.Model):
    SECTION_VARIANTS = [
        ('jumbotron', 'Jumbotron'),
        ('section','Section'),
        ('section_with_button','Section with Button'),
        ('section_with_two_image','Section with 2 Image'),
        ('section_with_three_image','Section with 3 Image'),
        ('section_gallery','Section Gallery'),
    ]

    level = models.ForeignKey(Page, on_delete=models.CASCADE)
    variant = models.CharField(choices=SECTION_VARIANTS, default='jumbotron', max_length=100)
    order = models.PositiveSmallIntegerField()
    en_title = models.CharField(max_length=255, blank=True, null=True)
    id_title = models.CharField(max_length=255, blank=True, null=True)
    en_content = RichTextField(blank=True, null=True)
    id_content = RichTextField(blank=True, null=True)
    
    SECTION_BACKGROUND_COLORS = [
        ('bg-blue', 'bg-blue'),
        ('bg-lightblue', 'bg-lightblue'),
        ('bg-white', 'bg-white'),
    ]
    
    BADGE_COLORS = [
        ('bg-yellow', 'bg-yellow'),
        ('bg-lightblue', 'bg-lightblue'),
    ]

    # button
    button_cta = models.CharField(max_length=255, blank=True, null=True)
    button_url = models.CharField(max_length=255, blank=True, null=True)

    # styles
    background_color = models.CharField(choices=SECTION_BACKGROUND_COLORS, default='bg-blue', max_length=100)
    badge_color = models.CharField(choices=BADGE_COLORS, default='bg-yellow', max_length=100)
    
    def __str__(self):
        return f'{self.pk}'

class SectionImage(models.Model):
    level = models.ForeignKey(Section, on_delete=models.CASCADE)

frontend/models.py
from django.db import models

# Create your models here.

frontend/templates/en/pages/article.html
{% extends 'en/en_base.html' %}
{% load static %}

{% block content %}
<section>
    <div class="container my-5">
        {% if article.image %}
        <img src="{{ article.image.url }}" alt="article-jumbotron" class="rounded img-fluid article-jumbotron" />
        {% else %}
        <img src="{% static 'images/common/bg-whale.png' %}" alt="article-jumbotron"
            class="rounded img-fluid article-jumbotron" />
        {% endif %}
        <div class="my-3">
            <h2 class="article-title">
                <b>{{ article.en_title }}</b>
            </h2>
            <span class="small me-3">
                <i class="bi bi-clock"></i> {{ article.created_at|date:'d M Y' }}
            </span>
            <span class="small">
                <i class="bi bi-person"></i> by {{ article.author|default:"Admin" }}
            </span>
        </div>
        <div>
            {{ article.en_content|safe }}
        </div>
        <div class="d-grid gap-2 d-md-block">
            <span class="fw-300 text-center me-1">
                <i class="bi bi-tags-fill"></i> Tags
            </span>
            {% for at in article.articletag_set.all %}
            <span class="badge bg-primary">
                <a href="{% url 'frontend:articles' %}?tag={{ at.en_tag }}" class="no-link c-white">
                    {{ at.en_tag }}
                </a>
            </span>
            {% endfor %}
        </div>
    </div>
</section>
<section>
    <div class="container my-5">
        {% if related_articles %}
        <div class="my-3">
            <h4 class="title mb-3">
                Related Article
            </h4>
            <div class="row justify-content-start">
                {% for article in related_articles %}
                <div class="col-sm-12 col-lg-4">
                    <a href="{% url 'frontend:article' article.pk %}" class="no-link c-black">
                        <div class="card article-card">
                            {% if article.image %}
                            <img src="{{ article.image.url }}" alt="article-{{ forloop.counter }}"
                                class="card-img-top" />
                            {% else %}
                            <img src="{% static 'images/common/bg-whale.png' %}" alt="article-{{ forloop.counter }}"
                                class="card-img-top" />
                            {% endif %}
                            <div class="pt-2">
                                <span class="small">
                                    <i class="bi bi-clock"></i> {{ article.created_at|date:'d M Y' }}
                                </span>
                                <h5 class="article-title mt-2">
                                    {{ article.en_title }}
                                </h5>
                            </div>
                        </div>
                    </a>
                </div>
                {% endfor %}
            </div>
        </div>
        {% endif %}
        <div class="mt-5">
            <h4 class="fw-300 mb-3">
                Share this on
            </h4>
            <ul class="nav col-md-6 justify-content-start">
                <li class="nav-item">
                    <a href="https://www.facebook.com/sharer/sharer.php?u={{ article_url }}&title={{ article.en_title }}"
                        target="_blank" class="nav-link c-blue">
                        <i class="bi bi-facebook icon"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="https://twitter.com/intent/tweet?text={{ article.en_title }}+{{ article_url }}"
                        target="_blank" class="nav-link c-blue">
                        <i class="bi bi-twitter-x icon"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="https://wa.me/?text={{ article_url }}" target="_blank" class="nav-link c-blue">
                        <i class="bi bi-whatsapp icon"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="https://www.linkedin.com/sharing/share-offsite/?url={{ article_url }}" target="_blank"
                        class="nav-link c-blue">
                        <i class="bi bi-linkedin icon"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="mailto:?subject={{ article.en_title }}&body={{ article_url }}" class="nav-link c-blue">
                        <i class="bi bi-envelope-fill icon"></i>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</section>
{% endblock %}

frontend/templates/en/pages/articles.html
{% extends 'en/en_base.html' %}
{% load static %}

{% block content %}
<section>
    <div class="bg-blue">
        <img class="jumbotron-cover" src="{% static 'images/common/jumbotron.png' %}" alt="" />
    </div>
    <div class="spacer bg-blue scroll-up">
        <h2 class="h2 fw-100 c-white text-center mb-3">
            Articles
        </h2>
        {% if tag %}
        <h3 class="h3 fw-100 c-white text-center">{{ tag }}</h3>
        {% endif %}
    </div>
</section>
<section>
    <div class="container">
        <div class="row justify-content-start my-5 gy-5">
            {% for article in paginator_object %}
            <div class="col-sm-12 col-lg-3">
                <a href="{% url 'frontend:article' article.pk %}" class="no-link c-black">
                    <div class="card article-card">
                        {% if article.image %}
                        <img src="{{ article.image.url }}" alt="article-{{ forloop.counter }}" class="card-img-top" />
                        {% else %}
                        <img src="{% static 'images/common/bg-whale.png' %}" alt="article-{{ forloop.counter }}"
                            class="card-img-top" />
                        {% endif %}
                        <div class="pt-2">
                            <span class="small">
                                <i class="bi bi-clock"></i> {{ article.created_at|date:'d M Y' }}
                            </span>
                            <h5 class="article-title mt-2">
                                {{ article.en_title }}
                            </h5>
                        </div>
                    </div>
                </a>
            </div>
            {% endfor %}
            {% if paginator_object.has_other_pages %}
            <nav aria-label="pagination">
                <ul class="pagination justify-content-center">
                    {% if paginator_object.has_previous %}
                    <li class="page-item">
                        <a class="page-link" href="?&page={{ paginator_object.previous_page_number }}">
                            &laquo;
                        </a>
                    </li>
                    {% else %}
                    <li class="page-item disabled">
                        <span class="page-link">&laquo;</span>
                    </li>
                    {% endif %}
                    {% for p in paginator_object.paginator.page_range %}
                    {% if paginator_object.number == p %}
                    <li class="page-item active">
                        <span class="page-link">{{ p }}</span>
                    </li>
                    {% else %}
                    <li class="page-item">
                        <a href="?&page={{ p }}" class="page-link">
                            {{ p }}
                        </a>
                    </li>
                    {% endif %}
                    {% endfor %}
                    {% if paginator_object.has_next %}
                    <li class="page-item">
                        <a href="?&page={{ paginator_object.next_page_number }}" class="page-link">
                            &raquo;
                        </a>
                    </li>
                    {% else %}
                    <li class="page-item disabled">
                        <span class="page-link">&raquo;</span>
                    </li>
                    {% endif %}
                </ul>
            </nav>
            {% endif %}
        </div>
</section>
{% endblock %}

frontend/templates/en/pages/home.html
{% extends 'en/en_base.html' %}
{% load static %}

{% block content %}
<section>
    <div class="spacer bg-blue">
        <h2 class="h2 fw-100 c-white">
            Did you know?
        </h2>
        <h1 class="h1 fw-600 c-white">
            Indonesia has one of <span class="c-lightblue">the highest biodiversity of Elasmobranch</span> in the
            world
        </h1>
        <div class="text-center">
            <a href="{% url 'frontend:report' %}" class="btn btn-warning c-white btn-lg mt-3">
                <i class="bi bi-search"></i> <span class="fw-400 ps-2">Report Your Encounter</span>
            </a>
        </div>
    </div>
    <div class="diagonal-right bg-blue"></div>
</section>
<section>
    <div class="spacer">
        <div class="row mb-5">
            <div class="col-sm-12 col-lg-7">
                <p class="btn label bg-lightblue-2 c-white">
                    About Us
                </p>
                <p class="p c-blue mb-50">
                    <b>Elasmobranch Project Indonesia</b> is a citizen science project that aims to map the
                    biodiversity and distribution of Elasmobranch's in Indonesia.
                </p>
            </div>
            <div class="col-sm-12 col-lg-5">
                <img class="max-75 mx-auto d-block" src="{% static 'images/common/logos/logo-blue.png' %}"
                    alt="logo-blue">
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="row justify-content-md-center">
                    <div class="col-sm-12 col-lg-4 mb-3">
                        <img class="img-border mx-auto d-block"
                            style="transform: translate(0px, 0px) rotateX(0deg) rotateY(0deg) rotateZ(-7deg);"
                            src="{% static 'images/home/grid-1.png' %}" alt="grid-1" />
                    </div>
                    <div class="col-sm-12 col-lg-4 mb-3">
                        <img class="img-border mx-auto d-block"
                            style="transform: translate(0px, 0px) rotateX(0deg) rotateY(0deg) rotateZ(2deg);"
                            src="{% static 'images/home/grid-2.png' %}" alt="grid-2" />
                    </div>
                    <div class="col-sm-12 col-lg-4 mb-3">
                        <img class="img-border mx-auto d-block"
                            style="transform: translate( 0px, 0px) rotateX(0deg) rotateY(0deg) rotateZ(8deg);"
                            src="{% static 'images/home/grid-3.png' %}" alt="grid-3" />
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<section>
    <div class="diagonal-left bg-blue"></div>
    <div class="spacer bg-blue">
        <p class="btn label bg-yellow c-white">
            Reports
        </p>
        <div class="row text-center">
            <div class="col-5">
                <div class="jumbo fw-600 c-white" data-encounter="{{ encounter_count }}" id="encounterCount">0</div>
                <div class="h2 fw-600 c-white">Encounters Reported</div>
            </div>
            <div class="col-2">
                <div class="jumbo c-white">in</div>
            </div>
            <div class="col-5">
                <div class="jumbo fw-600 c-white" data-province="{{ province_count }}" id="provinceCount">0</div>
                <div class="h2 fw-600 c-white">Provinces of Indonesia</div>
            </div>
        </div>
        <div class="text-center">
            <a href="{% url 'frontend:maps' %}" class="btn btn-warning c-white btn-lg mt-3">
                <i class="bi bi-map"></i> <span class="fw-400 ps-2">Visit Our Map</span>
            </a>
        </div>
    </div>
</section>
<section>
    <div class="spacer bg-whale">
        <div class="text-end bottom-right">
            <p class="h6 fw-300 c-white">
                Whale Shark (Rhincodon typus) seen in Cendrawasih National Park, Papua
            </p>
            <p class="h6 fw-100 c-white">
                (Faqih Akbar A, 2020)
            </p>
        </div>
    </div>
</section>
<section>
    <div class="spacer bg-blue">
        <p class="btn label bg-lightblue c-white mb-5">
            FAQs
        </p>
        <div class="mb-5">
            <p class="title c-white">Who can participate in EPI?</p>
            <p class="p fw-300 c-white">
                Everyone who has interest in supporting shark, ray, skate and chimaera conservation in
                Indonesia can partake to contribute for EPI, such as student, lecturer, researcher,
                organization, government body, even fishermen and fish seller can and are welcome to
                participate.
            </p>
        </div>
        <div>
            <p class="title c-white">How to contribute?</p>
            <p class="p fw-300 c-white">
                It’s easy. You will only need to submit your encounter photograph and data,
                landing or sighting, directly from our website. Go to our
                <a href="{% url 'frontend:report' %}" class="c-lightblue">Report Page</a>.
            </p>
        </div>
        <div class="text-center">
            <a href="{% url 'frontend:about' %}" class="btn btn-warning c-white btn-lg mt-3">
                <i class="bi bi-patch-question"></i> <span class="fw-400 ps-2">More FAQs</span>
            </a>
        </div>
    </div>
</section>
{% endblock %}

frontend/templates/en/pages/report.html
{% extends 'en/en_base.html' %}
{% load static %}

{% block content %}
    <section>
        <div class="bg-blue">
            <img class="jumbotron-cover" src="{% static 'images/common/jumbotron.png' %}" alt=""/>
        </div>
        <div class="spacer bg-blue scroll-up">
            <h2 class="h2 fw-100 c-white text-center mb-5">
                Report
            </h2>
            <h1 class="h1 fw-600 c-white mb-3">
                Saw an <span class="c-lightblue">Elasmobranch?</span> <br/>
                Report it!
            </h1>
            <h2 class="h2 fw-600 c-white float-end">
                Take a part as a <span class="c-lightblue">Citizen Scientist</span>
            </h2>
            <div class="mb-5"></div>
        </div>
    </section>
    <section>
        <div class="spacer">
            <div class="row mb-5">
                <div class="col-sm-12 col-lg-7">
                    <p class="btn label bg-yellow c-white">
                        Guidelines
                    </p>
                    <h3 class="h3 c-blue mb-3">
                        How to make a report?
                    </h3>
                    <ol>
                        <li class="p fw-300 c-blue">
                            Read the guidelines <a href="{% url 'frontend:guidelines' %}" class="c-lightblue-2">here</a>
                        </li>
                        <li class="p fw-300 c-blue">
                            Prepare the photo and supporting data of your encounter
                        </li>
                        <li class="p fw-300 c-blue">
                            Fill the report form below
                        </li>
                    </ol>
                </div>
                <div class="col-sm-12 col-lg-5">
                    <img class="img-border mx-auto d-block"
                         style="transform: translate( 0px, 0px) rotateX(0deg) rotateY(0deg) rotateZ(-3deg);"
                         src="{% static 'images/report/grid-1.png' %}" alt="grid-1">
                </div>
            </div>
        </div>
    </section>
    <section>
        <div class="diagonal-left bg-blue"></div>
        <div class="spacer bg-blue">
            <p class="btn label bg-yellow c-white">
                Report Form
            </p>
            <div class="text-center">
                <h2 class="h2 c-white fw-600 mb-3">
                    Report your Elasmobranch encounter!
                </h2>
                <a href="{% url 'frontend:form_report' %}" class="btn btn-primary btn-lg bg-lightblue-2 c-white">
                    Report Now!
                </a>
            </div>
        </div>
    </section>
{% endblock %}